basePath: /s
definitions:
  config.Config:
    properties:
      debug:
        $ref: '#/definitions/config.DebuggerConfig'
      server:
        $ref: '#/definitions/config.ServerConfig'
    type: object
  config.DebuggerConfig:
    properties:
      enable:
        type: boolean
    type: object
  config.ServerConfig:
    properties:
      host:
        type: string
      port:
        type: integer
    type: object
  controller.WakeupDTO:
    properties:
      mac:
        description: mac 地址
        example: FF-FF-FF-FF-FF-FF-FF
        type: string
      port:
        description: 端口
        example: 9
        type: integer
    type: object
  errorx.CodeErrorResponse:
    properties:
      code:
        example: 200
        type: integer
      data: {}
      msg:
        example: OK
        type: string
    type: object
  response.Response:
    properties:
      code:
        example: 200
        type: integer
      data: {}
      msg:
        example: OK
        type: string
    type: object
info:
  contact:
    email: 919411476@qq.com
    name: Shikong
  description: Wails AssetServer API 文档
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://swagger.io/terms/
  title: Wails AssetServer API
  version: "1.0"
paths:
  /config/:
    post:
      consumes:
      - application/json
      description: 获取应用列表
      produces:
      - application/json
      responses:
        "200":
          description: OK
          schema:
            allOf:
            - $ref: '#/definitions/response.Response'
            - properties:
                data:
                  $ref: '#/definitions/config.Config'
              type: object
        default:
          description: ""
          schema:
            $ref: '#/definitions/errorx.CodeErrorResponse'
      summary: 获取应用列表
      tags:
      - Config
  /error:
    delete:
      consumes:
      - application/json
      description: 错误信息示例
      produces:
      - application/json
      responses:
        default:
          description: ""
          schema:
            $ref: '#/definitions/errorx.CodeErrorResponse'
      summary: 错误处理
      tags:
      - Error
    get:
      consumes:
      - application/json
      description: 错误信息示例
      produces:
      - application/json
      responses:
        default:
          description: ""
          schema:
            $ref: '#/definitions/errorx.CodeErrorResponse'
      summary: 错误处理
      tags:
      - Error
    patch:
      consumes:
      - application/json
      description: 错误信息示例
      produces:
      - application/json
      responses:
        default:
          description: ""
          schema:
            $ref: '#/definitions/errorx.CodeErrorResponse'
      summary: 错误处理
      tags:
      - Error
    post:
      consumes:
      - application/json
      description: 错误信息示例
      produces:
      - application/json
      responses:
        default:
          description: ""
          schema:
            $ref: '#/definitions/errorx.CodeErrorResponse'
      summary: 错误处理
      tags:
      - Error
    put:
      consumes:
      - application/json
      description: 错误信息示例
      produces:
      - application/json
      responses:
        default:
          description: ""
          schema:
            $ref: '#/definitions/errorx.CodeErrorResponse'
      summary: 错误处理
      tags:
      - Error
  /file/:
    get:
      consumes:
      - application/json
      description: 获取文件
      parameters:
      - description: 区块大小
        in: query
        name: chunkSize
        type: integer
      - description: 偏移量
        in: query
        name: offset
        type: integer
      - description: 路径
        example: C:\Windows\System32\cmd.exe
        in: query
        name: path
        required: true
        type: string
      produces:
      - application/octet-stream
      responses: {}
      summary: 获取文件
      tags:
      - File
  /file/path:
    get:
      consumes:
      - application/json
      description: 获取文件路径
      parameters:
      - description: 路径
        example: C:\Windows\System32\cmd.exe
        in: query
        name: path
        required: true
        type: string
      produces:
      - application/json
      responses:
        "200":
          description: OK
          schema:
            allOf:
            - $ref: '#/definitions/response.Response'
            - properties:
                data:
                  type: string
              type: object
        default:
          description: ""
          schema:
            $ref: '#/definitions/errorx.CodeErrorResponse'
      summary: 获取文件路径
      tags:
      - File
  /wol/wakeup:
    post:
      consumes:
      - application/json
      description: wol 唤醒
      parameters:
      - description: 局域网唤醒
        in: body
        name: vo
        required: true
        schema:
          $ref: '#/definitions/controller.WakeupDTO'
      produces:
      - application/json
      responses:
        "200":
          description: OK
          schema:
            allOf:
            - $ref: '#/definitions/response.Response'
            - properties:
                data:
                  type: string
              type: object
        default:
          description: ""
          schema:
            $ref: '#/definitions/errorx.CodeErrorResponse'
      summary: wol 唤醒
      tags:
      - Wol
swagger: "2.0"
